#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_conditional_add_subdirectory( WITH_LAME mp3_export )
tde_conditional_add_subdirectory( WITH_VORBIS ogg_export )
add_subdirectory( pics )
tde_install_icons( krec )

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/arts/gui/common
  ${CMAKE_BINARY_DIR}/arts/midi
  ${CMAKE_BINARY_DIR}/arts/modules/common
  ${CMAKE_BINARY_DIR}/arts/modules/effects
  ${CMAKE_BINARY_DIR}/arts/modules/synth
  ${CMAKE_SOURCE_DIR}/arts/gui/kde
  ${CMAKE_SOURCE_DIR}/arts/tools
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTSC_LIBRARY_DIRS}
)


##### krec_commont (library) ####################

tde_add_library( krec_common STATIC_PIC AUTOMOC
  SOURCES
    krecglobal.cpp
    krecexport_template.cpp
    krecconfig_fileswidget.cpp
)


##### krec (tdeinit) ############################

tde_add_tdeinit_executable( krec AUTOMOC
  SOURCES
    krecnewproperties.cpp
    krecfile.cpp
    krecfileview.cpp
    krecfileviewhelpers.cpp
    krecfilewidgets.cpp
    main.cpp
    krecord.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared tdeio-shared
    tdeutils-shared tdetexteditor-shared
    mcop kmedia2_idl soundserver_idl artsflow_idl
    artsmoduleseffects-shared artscontrolsupport-shared artsgui_kde-shared
    krec_common-static ${DL_LIBRARIES} artskde-shared
    ${ARTSC_LIBRARIES} pthread
)


##### kcm_krec (module) #########################

tde_add_kpart( kcm_krec AUTOMOC
  SOURCES
    krecconfigure.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared tdeio-shared
    tdeutils-shared tdetexteditor-shared
    mcop kmedia2_idl soundserver_idl artsflow_idl artsmoduleseffects-shared
    krec_common-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_krec_files (module) ###################

tde_add_kpart( kcm_krec_files AUTOMOC
  SOURCES
    krecconfig_files.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared tdeio-shared
    tdeutils-shared tdetexteditor-shared
    mcop kmedia2_idl soundserver_idl artsflow_idl artsmoduleseffects-shared
    krec_common-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### libkrecexport_wave (module) ###############

tde_add_kpart( libkrecexport_wave AUTOMOC
  SOURCES
    krecexport_wave.cpp
  LINK
    DCOP-shared tdecore-shared tdeui-shared tdefx-shared tdeio-shared
    tdeutils-shared tdetexteditor-shared
    mcop kmedia2_idl soundserver_idl artsflow_idl artsmoduleseffects-shared
    krec_common-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE krec.desktop
  PO_DIR krec-desktops
)

install( FILES krecui.rc DESTINATION ${DATA_INSTALL_DIR}/krec )

tde_create_translated_desktop(
  SOURCE kcm_krec.desktop kcm_krec_files.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR krec-desktops
)

install( FILES tips DESTINATION ${DATA_INSTALL_DIR}/krec )

tde_create_translated_desktop(
  SOURCE krec_exportitem.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
  PO_DIR krec-desktops
)

tde_create_translated_desktop(
  SOURCE krec_exportwave.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR krec-desktops
)
